summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author B. Watson2022-04-07 20:35:31 +0200
committer Willy Sudiarto Raharjo2022-04-09 10:45:08 +0200
commitfe93df62e8fd546ff0519041eefebca14adeb593 (patch)
tree1cee68ea8181087da3a10690b886f46e9e4d7d40 /office
parentf35c98bbee1cdf44e65568102bbfe21501faded5 (diff)
downloadslackbuilds-fe93df62e8fd546ff0519041eefebca14adeb593.tar.gz
office/basket: Fix icon.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/basket/basket.SlackBuild16
1 files changed, 12 insertions, 4 deletions
diff --git a/office/basket/basket.SlackBuild b/office/basket/basket.SlackBuild
index a8da8ba799..59b6593316 100644
--- a/office/basket/basket.SlackBuild
+++ b/office/basket/basket.SlackBuild
@@ -22,6 +22,9 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# 20220407 bkw: Modified by SlackBuilds.org, BUILD=3:
+# - fix icon (wrong pixel size).
+
# 20220404 bkw: Modified by SlackBuilds.org, BUILD=2:
# - no +x permission on .desktop file.
# - no useless INSTALL in doc dir.
@@ -31,7 +34,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=basket
VERSION=${VERSION:-2.49b}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -92,11 +95,11 @@ cd build
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
-DCMAKE_BUILD_TYPE=Release ..
make
- make install DESTDIR=$PKG
+ make install/strip DESTDIR=$PKG
cd ..
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+#find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ #| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/share/applications
cp src/basket.desktop $PKG/usr/share/applications
@@ -104,6 +107,11 @@ cp src/basket.desktop $PKG/usr/share/applications
mkdir -p $PKG/usr/share/mime/packages/
cp file-integration/basket.xml $PKG/usr/share/mime/packages/
+# 20220407 bkw: 128x128 icon is actually 126x126, fix.
+I=$PKG/usr/share/icons/hicolor/128x128/apps/basket.png
+convert -extent 128x128 -gravity center -background none $I new.png
+mv new.png $I
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
AUTHORS COPYING README.md \